package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.haoban.manage.service.entity.TabHaobanMaidianDict;

public interface TabHaobanMaidianDictMapper {
    int deleteByPrimaryKey(String dictId);

    int insert(TabHaobanMaidianDict record);

    int insertSelective(TabHaobanMaidianDict record);

    TabHaobanMaidianDict selectByPrimaryKey(String dictId);

    int updateByPrimaryKeySelective(TabHaobanMaidianDict record);

    int updateByPrimaryKey(TabHaobanMaidianDict record);
    
    List<TabHaobanMaidianDict> listByModuleId(String moduleId);
}